<?php
$post_format = get_post_format();
$post_classes = 'standard-blog-item-wrapper' . ( $post_format == 'quote' && cosmecos_post_options() && !empty(cosmecos_get_post_option('post_media_quote_text')) ? '  cosmecos-format-quote' : '' );
?>

<div <?php post_class('standard-blog-item-wrapper'); ?>>
    <div class="blog-item">
        <?php
            if ( !empty(cosmecos_post_media_output()) || ( !empty(cosmecos_post_categories_output()) && $post_format != 'quote' ) ) {
                echo '<div class="post-media-wrapper">';
                    if ( !empty(cosmecos_post_media_output()) ) {
                        echo cosmecos_post_media_output(true);
                    }
                    echo '<div class="post-labels">';
                    if ( !empty(cosmecos_post_categories_output()) && $post_format != 'quote' ) {
                        echo cosmecos_post_categories_output(true);
                    }
                    echo '</div>';
                echo '</div>';
            }

            if ( !($post_format == 'quote' && cosmecos_post_options() && !empty(cosmecos_get_post_option('post_media_quote_text'))) ) {
                if ( !empty(cosmecos_post_date_output()) || !empty(cosmecos_post_author_output()) ) {
                    echo '<div class="post-meta-header">';
                        if ( !empty(cosmecos_post_date_output()) ) {
                            echo cosmecos_post_date_output(true);
                        }
                        if ( !empty(cosmecos_post_author_output()) ) {
                            echo cosmecos_post_author_output(true);
                        }
                    echo '</div>';
                }

                if ( !empty(get_the_title()) ) {
                    echo '<h3 class="post-title"><a href="' . esc_url(get_the_permalink()) . '">' . get_the_title() . '</a></h3>';
                }

                echo '<div class="post-content">';
                    the_excerpt();
                echo '</div>';

                if ( !empty(cosmecos_post_tags_output()) ) {
                    echo cosmecos_post_tags_output(', ');
                }

                echo '<div class="post-more-button">';
                    echo '<a href="' . esc_url(get_the_permalink()) . '">' . esc_html__('Read More', 'cosmecos') . '</a>';
                echo '</div>';
            }
        ?>
    </div>
</div>