<?php
defined( 'ABSPATH' ) or die();
?>
<!-- Top Bar -->
<div class="top-bar">
    <div class="top-bar-row">
        <?php

            if ( cosmecos_get_prefered_option('top_bar_user_menu_status') == 'on' ) {
                echo '<div class="top-bar-column">';

                    // User Menu
                    if ( !empty(cosmecos_get_prefered_option('top_bar_user_menu_select')) && cosmecos_get_prefered_option('top_bar_user_menu_select') != 'default' ) {
                        wp_nav_menu(
                            array(
                                'menu'              => cosmecos_get_prefered_option('top_bar_user_menu_select'),
                                'menu_class'        => 'top-bar-menu',
                                'depth'             => '0',
                                'container'         => ''
                            )
                        );
                    } else {
                        $menu_locations = get_nav_menu_locations();
                        if ( isset($menu_locations['top_bar_user_menu']) && $menu_locations['top_bar_user_menu'] !== 0 ) {
                            wp_nav_menu(
                                array(
                                    'theme_location'    => 'top_bar_user_menu',
                                    'menu_class'        => 'top-bar-menu',
                                    'depth'             => '0',
                                    'container'         => ''
                                )
                            );
                        }
                    }

                echo '</div>';
            }

            if ( cosmecos_get_prefered_option('top_bar_additional_text_status') == 'on' && !empty(cosmecos_get_prefered_option('top_bar_additional_text')) ) {
                echo '<div class="top-bar-column">';

                    // Additional text
                    echo '<div class="top-bar-additional-text">';
                        echo wp_kses(cosmecos_get_prefered_option('top_bar_additional_text'), array(
                            'mark'  => array(),
                            'span'  => array(
                                'class' => true
                            )
                        ));
                    echo '</div>';
                echo '</div>';
            }

            if ( cosmecos_get_prefered_option('top_bar_contacts_email_status') == 'on' || cosmecos_get_prefered_option('top_bar_contacts_phone_status') == 'on' || cosmecos_get_prefered_option('top_bar_contacts_address_status') == 'on' || cosmecos_get_prefered_option('top_bar_socials_status') == 'on' ) {
                echo '<div class="top-bar-column">';

                    // Contacts
                    if ( cosmecos_get_prefered_option('top_bar_contacts_email_status') == 'on' || cosmecos_get_prefered_option('top_bar_contacts_phone_status') == 'on' || cosmecos_get_prefered_option('top_bar_contacts_address_status') == 'on' ) {
                        echo '<div class="top-bar-contacts wrapper-contacts">';
                            if ( !empty(cosmecos_get_prefered_option('top_bar_contacts_email')) && cosmecos_get_prefered_option('top_bar_contacts_email_status') == 'on' ) {
                                echo '<div class="contact-item contact-item-email">';
                                    echo '<a href="mailto:' . esc_attr(cosmecos_get_prefered_option('top_bar_contacts_email')) . '">';
                                        echo esc_html(cosmecos_get_prefered_option('top_bar_contacts_email'));
                                    echo '</a>';
                                echo '</div>';
                            }
                            if ( !empty(cosmecos_get_prefered_option('top_bar_contacts_phone')) && cosmecos_get_prefered_option('top_bar_contacts_phone_status') == 'on' ) {
                                echo '<div class="contact-item contact-item-phone">';
                                    echo '<a href="tel:' . cosmecos_clear_phone(cosmecos_get_prefered_option('top_bar_contacts_phone')) . '">';
                                        echo esc_html(cosmecos_get_prefered_option('top_bar_contacts_phone'));
                                    echo '</a>';
                                echo '</div>';
                            }
                            if ( !empty(cosmecos_get_prefered_option('top_bar_contacts_address')) && cosmecos_get_prefered_option('top_bar_contacts_address_status') == 'on' ) {
                                echo '<div class="contact-item contact-item-address">';
                                    echo esc_html(cosmecos_get_prefered_option('top_bar_contacts_address'));
                                echo '</div>';
                            }
                        echo '</div>';
                    }

                    // Social Icons
                    if ( cosmecos_get_prefered_option('top_bar_socials_status') == 'on' ) {
                        echo cosmecos_socials_output('top-bar-socials wrapper-socials');
                    }

                echo '</div>';
            }

        ?>
    </div>
</div>